Subject: [bug#72766] [PATCH v2 2/2] gnu: slurm: Enable REST API.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 17 Sep 2024 08:37:02 +0200

Morning!

Arun Isaac <[email-masked]> skribis:

>> There might be a third option: moving server-side code to a separate
>> output.  That way, perhaps client-side code (things like ‘openmpi’)
>> would not have MariaDB & co. in their closure?
>
> I presume you might need to carry both the server-side and the
> client-side code in a guix pack. So, how would this option help?

No, to run code on a supercomputer, you only need MPI and things like
‘salloc’, ‘sbatch’, etc.  There’s definitely no need for ‘slurmd’ or
anything like that in that case because it’s already running on the
machine.

Ludo’.